%define major       0
%define libname     %mklibname %name %major

Name:		alsaplayer
Summary:	Advanced Linux Sound Architecture (ALSA) player
Version:	0.99.75
Release:	4mdk
Source:		ftp://ftp.alsa-project.org/pub/people/andy/%name-%version.tar.bz2
Source1:	%name-icons.tar.bz2
Patch:		alsaplayer-0.99.75-gcc33.patch.bz2
URL:		http://www.alsaplayer.org/
License:	GPL
BuildRoot:	%_tmppath/%name-%version-root
Group:		Sound
BuildRequires:	libalsa-devel  
BuildRequires:	esound-devel
BuildRequires:	gtk+-devel
BuildRequires:	libmikmod-devel 
BuildRequires:	libvorbis-devel
BuildRequires:  libid3tag-devel
BuildRequires:  libmad-devel 
BuildRequires:	libjack-devel >= 0.70.4
BuildRequires:  liboggflac-devel 
BuildRequires:  libnas-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libxosd-devel
ExcludeArch:	ppc sparc sparc64
Obsoletes: alsaplayer-plugin-read-curl
Provides: alsaplayer-plugin-read-curl

%description
Advanced Linux Sound Architecture (ALSA) utils. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

%package -n %libname
Summary:    AlsaPlayer sharedlibrary
Group:      System/Libraries
Provides: libalsaplayer
Obsoletes: libalsaplayer

%description -n %libname
This is the shared librairy of AlsaPlayer.

%package -n %libname-devel
Summary:    AlsaPlayer devel stuff 
Group:      Development/C
Requires: %libname = %version
Provides: libalsaplayer-devel
Obsoletes: libalsaplayer-devel

%description -n %libname-devel
This is the development part of the AlsaPlayer librairy. 

%package plugin-input-flac
Summary:    AlsaPlayer plugin for playing FLAC audio files.
Group:		Sound
Requires: alsaplayer => %version-%release

%package plugin-input-mod
Summary:    AlsaPlayer plugin for playing MOD modules
Group:		Sound
Requires: alsaplayer => %version-%release, libmikmod2

%package plugin-input-mad
Summary:    AlsaPlayer plugin
Group:		Sound
Requires: alsaplayer => %version-%release, libmad0

%package plugin-input-sndfile
Summary:    AlsaPlayer plugin
Group:		Sound
Requires: alsaplayer => %version-%release, libsndfile1

%package plugin-input-vorbis
Summary:    AlsaPlayer plugin
Group:		Sound
Requires: alsaplayer => %version-%release, libvorbis0, libvorbisfile3

%package plugin-output-jack
Summary:    AlsaPlayer for the jack sound server
Group:		Sound
Requires: alsaplayer => %version-%release

%package plugin-output-esound
Summary:    AlsaPlayer plugin
Group:		Sound
Requires: alsaplayer => %version-%release, libesound0

%package plugin-output-nas
Summary:    AlsaPlayer NAS output plugin
Group:		Sound
Requires: alsaplayer => %version-%release, libnas2


%package plugin-ui-gtk
Summary:    AlsaPlayer plugin
Group:		Sound
Requires: alsaplayer => %version-%release, libgtk+1.2

%package plugin-scopes
Summary:    AlsaPlayer graphical scopes
Group:		Sound
Requires: alsaplayer => %version-%release, alsaplayer-plugin-ui-gtk

%description plugin-input-flac
This plugin enables alsaplayer to play files in the lossless audio 
compression format FLAC.

%description plugin-input-mod
This plugin enables alsaplayer to play module music files.
Supported file formats include MOD, STM, S3M, MTM, XM, ULT, and IT.

%description plugin-input-mad
This plugin enables alsaplayer to play mpeg files though the libmad library.
It currently supports MPEG-1 and the MPEG-2  extension to Lower Sampling
Frequencies, as well as the so-called MPEG 2.5 format. All three audio layers
(Layer I, Layer II, and Layer III a.k.a. MP3) are fully implemented.

%description plugin-input-sndfile
This plugin enables alsaplayer to play sound files such as AIFF, AU
and WAV files through the sndfile library. It can currently read 8,
16, 24 and 32-bit PCM files as well as 32-bit floating point WAV files
and a number of compressed formats.

%description plugin-input-vorbis
This plugin enables alsaplayer to play ogg vorbis music files.

%description plugin-output-jack
This plugin enables alsaplayer to play music with the jack daemon.

%description plugin-output-esound
This plugin enables alsaplayer to play music with the esound daemon.

%description plugin-output-nas
This plugin enables alsaplayer to play music with the NAS daemon.

%description plugin-ui-gtk
This plugin adds a nice graphical interface to alsaplayer.

%description plugin-scopes
This plugin adds some nice graphical visualization plugins (scopes).

%prep
%setup -q -n %name-%version
%patch

%build
#for GL
export LDFLAGS=-L%_prefix/X11R6/lib
# for nas
export CPPFLAGS=-I%_prefix/X11R6/include
%configure2_5x --enable-alsa --enable-esd --disable-debug --enable-oggvorbis --enable-prefer-mad
%make

%install
rm -rf %buildroot
 %makeinstall_std
#clean unpackaged files:
rm -rf %buildroot%_datadir/doc/alsaplayer
rm -rf %buildroot%_libdir/%name/*/*.la

mkdir -p $RPM_BUILD_ROOT{%_menudir,%_datadir}
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name):\
needs="x11"\
longtitle="The Alsa Player" \
section="Multimedia/Sound"\
title="Alsa Player"\
command="%{name}"\
icon="%name.png"
EOF

tar xfj %SOURCE1 -C %buildroot/%_datadir
# fix permissions:
chmod 755 docs/reference/html

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %buildroot

# TV: update me aka on each new upstream release, check for new plugins
%files
%defattr(-, root, root)
%doc docs/*.txt
%doc COPYING
%_menudir/%name
%_bindir/*
%dir %_libdir/%name
%dir %_libdir/%name/*/
%_libdir/%name/input/libcdda.so
%_libdir/%name/input/libwav.so
%_libdir/%name/output/libalsa_out.so
%_libdir/%name/output/libnull_out.so
%_libdir/%name/output/liboss_out.so
%_libdir/%name/interface/libdaemon_interface.so
%_libdir/%name/interface/libtext_interface.so
%_libdir/%name/interface/libxosd_interface.so
%_libdir/%name/reader/libfile.so
%_libdir/%name/reader/libhttp.so
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_mandir/man1/%name.*

%files -n %libname
%defattr(-, root, root)
%doc COPYING
%_libdir/libalsaplayer.so.0.0.2
%_libdir/libalsaplayer.so.0

%files  -n %libname-devel
%defattr(-, root, root)
%doc COPYING
%doc docs/reference/html/
%_includedir/alsaplayer/
%_libdir/libalsaplayer.la
%_libdir/libalsaplayer.so
%_libdir/pkgconfig/alsaplayer.pc

%files plugin-input-flac
%defattr(-, root, root)
%doc COPYING
%_libdir/%name/input/libflac_in.so

%files plugin-input-mod
%defattr(-, root, root)
%doc COPYING
%_libdir/%name/input/libmod.so

%files plugin-input-mad
%defattr(-, root, root)
%doc COPYING
%_libdir/%name/input/libmad_in.so

%files plugin-input-sndfile
%defattr(-, root, root)
%doc COPYING
%_libdir/%name/input/libsndfile_in.so

%files plugin-input-vorbis
%defattr(-, root, root)
%doc COPYING
%_libdir/%name/input/libvorbis_in.so

%files plugin-output-jack
%defattr(-, root, root)
%doc COPYING
%_libdir/%name/output/libjack_out.so

%files plugin-output-esound
%defattr(-, root, root)
%doc COPYING
%_libdir/%name/output/libesound_out.so

%files plugin-output-nas
%defattr(-, root, root)
%doc COPYING
%_libdir/%name/output/libnas_out.so

%files plugin-ui-gtk
%defattr(-, root, root)
%doc COPYING
%_libdir/%name/interface/libgtk_interface.so

%files plugin-scopes
%defattr(-, root, root)
%doc COPYING
%_libdir/%name/scopes/libblurscope.so
%_libdir/%name/scopes/liblogbarfft.so
%_libdir/%name/scopes/liboglspectrum.so
%_libdir/%name/scopes/libsynaescope.so
%_libdir/%name/scopes/liblevelmeter.so
%_libdir/%name/scopes/libmonoscope.so
%_libdir/%name/scopes/libspacescope.so

%changelog
* Fri Jun 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.75-4mdk
- fix buildrequires

* Sun Jun  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.75-3mdk
- fix build for new gcc

* Tue May  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.75-2mdk
- list all scope plugins in the file list
- enable OpenGL plugin
- fix buildrequires

* Tue May  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.75-1mdk
- fix file list
- enable xosd plugin
- enable oggflac support
- requires latest jack libs
- new version

* Mon Feb 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.74-1mdk
- new release

* Fri Jan 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.73-1mdk
- mklibname macro
- fix descriptions
- add sndfile plugin
- remove plugin .la files
- remove unpackaged file workaround
- requires new jack
- build with flac4
- new version

* Wed Nov 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.99.72-3mdk
- set unpackaged files macro to 0 else it doesn't build
- clean unused docs from buildroot
- use autoconf2.5 macro
- build with nas support

* Tue Oct 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.72-2mdk
- fix obsoletes/provide

* Mon Oct 28 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.72-1mdk
- new release
- remove patch0 (better patch merged upstream)
- remove libcurl-devel depandancy
- obsoletes/provides plugin-read-curl

* Thu Sep 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.99.71-6mdk
- remove buildrequires on libogg-devel, already required by vorbis-devel
- enable jack and flac plugins

* Thu Aug 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.71-5mdk
- rebuild for new g++-3.2 ABI
- patch 0 : fix build with libflac0
- split plugins into sub-packages to reduce main packages dependancies

* Thu Aug 01 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.71-4mdk
- rebuild for gcc-3.2

* Tue Jul 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.71-3mdk
- automatic dependancies

* Mon Jul 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.71-2mdk
- rebuild for new vorbis stuff

* Tue Jun 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.71-1mdk
- new release :
	- new reader directory (curl, http, local files support)
	- new libdaemon
- remove gcc-3.1 patch (merged upstream)
- spec fixes:
	- libalsa_out is back
	- remove ownership on %%_miconsdir/ and %%_liconsdir/
	- fix build and warns about it
- add reference docs (in html) to libalsaplayer-devel

* Thu May 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.70-1mdk
- new release
- remove gcc-3.1 patch (merged upstream)
- new gcc-3.1 patch (author introduce std::string use outside std
  namespace)
- lib minor is now 2 (new libalsaplayer API was implementation)

* Fri May 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.60-2mdk
- fix requires
- gcc3.1 build
- fix build with gcc-3.1 [Patch0]
- move libtool file and pkgconfig/alsaplayer.pc into libalsaplayer-devel

* Wed May 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.60-1mdk
- new release
- patches 10 and 11 were merged upstream

* Wed Apr 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.59-3mdk
- spec simplifications
- Remove --nogui from the manpage [Patch10]
- fix configure.ac [Patch11]

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.59-2mdk
- rebuild for alsa-0.9.x

* Mon Apr 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.59-1mdk
- add man page
- add %%_libdir/pkgconfig/alsaplayer.pc
- add missing files and make libalsaplayer{,-devel} out of them
	%%_libdir/{.la,.so}, includes => -devel
	libalsaplayer.so.0{,.0.1} => lib

* Mon Apr 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.59-1mdk
- new release

* Thu Apr 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.58-1mdk
- new release

* Tue Mar 19 2002 Yves Duret <yduret@mandrakesoft.com> 0.99.57-1mdk
- version 0.99.57

* Sat Feb 16 2002 Yves Duret <yduret@mandrakesoft.com> 0.99.53-1mdk
- version 0.99.53
- %%makeinstall_std

* Sat Jan 26 2002 Yves Duret <yduret@mandrakesoft.com> 0.99.52-1mdk
- version 0.99.52
- build against mad
- png icons

* Sat Dec 22 2001 Stefan van der Eijk <stefan@eijk.nu> 0.99.50-3mdk
- fix BuildRequires

* Fri Dec  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.50-2mdk
- s|Copyright|License|;

* Fri Sep 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.50-1mdk
- 0.99.50.
- Add --enable-alsa --enable-esd --disable-debug --enable-oggvorbis.

* Fri Aug 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.36-1mdk
- 0.99.36.

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.99.33-0.2mdk
- BuildRequires: gtk+-devel

* Fri Jun 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.33-0.1mdk
- 0.99.33-pre3.

* Fri Feb  9 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.99.32-13mdk
- Do not exclude alpha from build.

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.32-12mdk
- Recompile with alsa-0.5.10.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.32-11mdk
- Add icons.

* Sat Nov 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.32-10mdk
- fix gcc2.96 compilation.

* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.99.32-9mdk
- EcludeArch: ppc

* Thu Aug 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-8mdk
- remove some debugging messages

* Thu Aug 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-7mdk
- build against latest alsa-lib
- fix requires

* Sun Aug 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.32-6mdk
- disabled the use of makeinstall macro in order to have the libraries installed
  in the correct place (reported by Anton Graham <darkimage@bigfoot.com>)
- cleaner specfile
- more menu dir macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.99.32-5mdk
- automatically added BuildRequires

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-4mdk
- fix macros

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.32-3mdk
- macroszifications.
- build against latest alsa-lib
- Use macros for update-menus.

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-2mdk
- build against latest alsa-lib
- add url

* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-1mdk
- new release

* Fri May 19 2000 Francis Galiegue <fg@mandrakesoft.com> 0.99.31-2mdk

- ExcludeArch: alpha sparc sparc64

* Sun Apr 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.31-1mdk
- Add menu entry.
- Fix Requires.
- Fix titi sucks.
- Build again latest alsa-lib and libmikmod.

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.31-2mdk
- fixed group

* Thu Mar 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 99.31
- compiled against alsa-lib-0.5.5

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
